Subject: Re: [PATCH v4 3/4] worktree: make add <path> <branch> dwim

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Nov 2017 15:59:58 +0900

Thomas Gummerer <[email-masked]> writes:

> Currently 'git worktree add <path> <branch>', errors out when 'branch'
> is not a local branch.   It has no additional dwim'ing features that one
> might expect.
>
> Make it behave more like 'git checkout <branch>' when the branch doesn't
> exist locally, but a remote tracking branch uniquely matches the desired
> branch name, i.e. create a new branch from the remote tracking branch
> and set the upstream to the remote tracking branch.
>
> As 'git worktree add' currently just dies in this situation, there are
> no backwards compatibility worries when introducing this feature.
>
> Signed-off-by: Thomas Gummerer <[email-masked]>
> ---

This step makes sense and I did not spot anything controversial.